Bug 200821 - Include fixes from gcc-3_4-branch in RHEL4.5
Include fixes from gcc-3_4-branch in RHEL4.5
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 16:26 EDT by Elena Zannoni
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 04:12:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2006-07-31 16:26:43 EDT
gcc-3_4-branch is these days a release branch, on which only important regression
bugfixes are allowed.  If a bug is not a regression from some older GCC release,
it needs to be really important bug fix.  The fixes on the branch are regression
tested by us as well as community.
While gcc-3_2-branch was still live, RHEL3 used to be updated from that branch
in every quarterly updates and similarly RHEL4 U1 contained fixes from
gcc-3_4-branch.
Several of the fixes on gcc-3_4-branch (as well as before
on gcc-3_2-branch) were later on requested by our customers (including now at
RHEL4 U3/U4 time).  If we leverage the community testing in addition to our own
testing, as opposed to maintaining just our own branch and spending weeks of time
finding and backporting bugfixes on our own, we save significant amount of time
and make our compiler more stable and more bugfree.  The vast majority
of bugfixes on the branch come with tests for the GCC testsuite and thus are
regression tested on all architectures we build the compiler on.

This bug has been created to comply with the content definition process.
Comment 1 RHEL Product and Program Management 2006-08-18 10:53:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jakub Jelinek 2006-12-14 04:12:27 EST
The gcc-3_4-branch has been EOLed and there have been no commits on it since
April 2006, so I'm dropping this request.

Note You need to log in before you can comment on or make changes to this bug.